Bug 222976 - The script /etc/init.d/nfs reports incorrectly 'Shutting down NFS', while nfs is up and running.
The script /etc/init.d/nfs reports incorrectly 'Shutting down NFS', while nfs...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 04:02 EST by kapeller
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 21:17:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kapeller 2007-01-17 04:02:41 EST
Description of problem:
The script /etc/init.d/nfs reports incorrectly 'Shutting down NFS', while nfs is
up and running.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-70.EL4

How reproducible:
always

Steps to Reproduce:
1. service nfs status
2.
3.
  
Actual results:
Shutting down NFS mountd: rpc.mountd (pid 5016) is running...
nfsd (pid 5010 5009 5008 5007 5006 5005 5004 5003) is running...
rpc.rquotad (pid 4999) is running...

Expected results:
rpc.mountd (pid 2228) is running...
nfsd (pid 2218 2217 2216 2215 2214 2213 2212 2211) is running...
rpc.rquotad (pid 2207) is running...

Additional info:
Fix by removing the following line in /etc/init.d/nfs below 'status'
echo -n $"Shutting down NFS mountd: "

Note You need to log in before you can comment on or make changes to this bug.